HYPOTHESIS-CLIENT(1)

NAME
hypothesis-client groups list - Retrieve a list of applicable Groups, filtered by authority and target document (document_uri). Also retrieve user's private Groups

SYNOPSIS
hypothesis-client groups list [OPTIONS]

DESCRIPTION
Retrieve a list of applicable Groups, filtered by authority and target document (document_uri). Also retrieve user's private Groups

OPTIONS

--authority <AUTHORITY>

    Filter returned groups to this authority. For authenticated requests, the user's associated authority will supersede any provided value.

    Default: "hypothes.is"

    [default: hypothes.is]

--document-uri <DOCUMENT_URI>

    Only retrieve public (i.e. non-private) groups that apply to a given document URI (i.e. the target document being annotated)

    [default: ]

--expand <EXPAND>

    One or more relations to expand for a group resource. Possible values: organization, scopes

    Possible values: - organization: Expand `organization` field to `Org` - scopes: Expand `scopes` field to `Scope`

-o, --file <FILE>

    json file to write filtered groups to, writes to stdout if not given

-h, --help

    Print help (see a summary with '-h')